Community
cancel
Showing results for 
Search instead for 
Did you mean: 
codemutt
Beginner
58 Views

.NET Access Violations

We have a site license for VTune and are using version 8 build 21288.

Whenever we try to launch a .NET application in VS2005 with the integrated VTune or when we launch the .NET app from the VTune GUI application it causes our .NET application to start throwing exceptions of the following sort:

System.AccessViolationException: Attempted to read or write protected memory. This is often an indication that other memory is corrupt.
at System.ServiceModel.SynchronizedPool`1..ctor(Int32 maxCount)
at System.ServiceModel.Channels.BufferManager.PooledBufferManager..ctor(Int64 maxMemoryToPool, Int32 maxBufferSize)
at System.ServiceModel.Channels.TransportChannelListener.OnOpening()
at System.ServiceModel.Channels.CommunicationObject.Open(TimeSpan timeout)
at System.ServiceModel.Dispatcher.ChannelDispatcher.OnOpen(TimeSpan timeout)
at System.ServiceModel.Channels.CommunicationObject.Open(TimeSpan timeout)
at System.ServiceModel.ServiceHostBase.OnOpen(TimeSpan timeout)
at System.ServiceModel.Channels.CommunicationObject.Open(TimeSpan timeout)
at System.ServiceModel.Channels.CommunicationObject.Open()

It's a WCF app (.NET 3.0)

Basically the exception is only thrown when using VTune -- in this case the Call Graph Analyzer. This looks like there is some sort of priveledge problem with VTune and .NET protection mechanisms.

This appears to be the same problem as another recent post on this board: "Problem with VTune in Mixed Software Architecture".

Any suggested system settings fixes?

Thank you.

0 Kudos
4 Replies
TimP
Black Belt
58 Views

VTune requires Administrator rights, even for those functions which might have been possible without them.
codemutt
Beginner
58 Views

We all have adminstrative rights. I don't think it's a priveledge issue as I wrote above.

I believe this is more likely an instrumentation bug with VTune.

After all, the app runs. But when certain modules execute an exception happens. But only when those modules execute.

David_A_Intel1
Employee
58 Views

Sorry, but version 8 did not support .NET* 3.0 (see System Requirement in the Release Notes). Please download the 9.0 eval (or upgrade if your support services are still in effect) and try it.

codemutt
Beginner
58 Views

All right, thanks.

My bad. Next time I'll RTFRN first.